.layout {
	display: grid;
	height: 100vh;
	grid-template-rows: 1fr 0;
	grid-template-columns: minmax(auto, 200px) 1fr auto;
	grid-template-areas: "sidebar main details";

	.layout__header {
		display: none;
	}
}

@media (max-width: 1440px) {
	.layout {
		grid-template-rows: auto 1fr 0;
		grid-template-columns: 1fr auto;
		grid-template-areas:
			"header header"
			"main details"
			"support support";

		.layout__sidebar {
			display: none;
		}
		.layout__header {
			display: block;
		}
	}
}

@media (max-width: 1024px) {
	.layout {
		grid-template-columns: 1fr;
		grid-template-areas:
			"header"
			"main"
			"support";

		.layout__details {
			display: none;
		}
	}
}

.layout__sidebar {
	grid-area: sidebar;
}

.layout__header {
	grid-area: header;
}

.layout__main {
	grid-area: main;
	display: flex;
	flex-direction: column;
	overflow-x: hidden;
}

.layout__details {
	grid-area: details;
}
